List Memories
curl --request GET \
--url https://api.duohub.ai/memories/list \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.duohub.ai/memories/list"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.duohub.ai/memories/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"userID": "user123",
"memoryType": "vector",
"name": "Important Memory",
"description": "A detailed memory description",
"chunkSize": 250,
"chunkOverlap": 10,
"acceleration": false,
"factExtraction": true,
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
],
"count": 1,
"nextToken": "eyJpZCI6eyJTIjoiNDU2In0sInVwZGF0ZWRBdCI6eyJTIjoiMjAyNC0wMS0wMlQwMDowMDowMFoifX0=",
"previousToken": null
}{
"error": "Invalid limit parameter",
"status": "bad_request"
}{
"error": "API key is required",
"status": "unauthorized"
}{
"error": "Invalid API key",
"status": "forbidden"
}{
"error": "An error occurred while listing memories",
"status": "internal server error"
}Memories API
List Memories
List memories with optional type filtering and pagination
GET
/
memories
/
list
List Memories
Authorizations
Your duohub API key. Type: str
Query Parameters
Filter memories by type Type of memory storage
Available options:
graph, vector Maximum number of memories to return
Required range:
1 <= x <= 100Token for getting the next page of results
Token for getting the previous page of results
⌘I